Bug 1736196 - nodejs-error-ex: FTBFS in Fedora rawhide/f31
Summary: nodejs-error-ex: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-error-ex
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 15:03 UTC by Fedora Release Engineering
Modified: 2019-08-16 08:51 UTC (History)
2 users (show)

Fixed In Version: nodejs-error-ex-1.3.1-7.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-16 08:51:25 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.21 KB, text/plain)
2019-08-01 15:03 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 15:03 UTC, Fedora Release Engineering
no flags Details
state.log (487 bytes, text/plain)
2019-08-01 15:03 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 15:03:27 UTC
nodejs-error-ex failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36635832


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix nodejs-error-ex at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
nodejs-error-ex will be orphaned. Before branching of Fedora 32,
nodejs-error-ex will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 15:03:29 UTC
Created attachment 1597978 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 15:03:31 UTC
Created attachment 1597979 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 15:03:38 UTC
Created attachment 1597980 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 18:25:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Parag Nemade 2019-08-16 08:51:25 UTC
Fixed by disabling tests run which needed npm(istanbul) package.


Note You need to log in before you can comment on or make changes to this bug.